complexType "Payment"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 2 attributes, 10 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 6 elements
Used: | at 12 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
href | = | xsd:IDREF
| >
Content: | payerPartyReference?, payerAccountReference?, receiverPartyReference?, receiverAccountReference?, paymentAmount, paymentDate?, paymentType?, settlementInformation?, discountFactor?, presentValueAmount?
</...>

Content Model Elements (10):

  discountFactor (defined in Payment complexType), payerAccountReference, payerPartyReference, paymentAmount (defined in Payment complexType), paymentDate (defined in Payment complexType), | paymentType (defined in Payment complexType), presentValueAmount (defined in Payment complexType), receiverAccountReference, receiverPartyReference, settlementInformation (defined in Payment complexType)

All Direct / Indirect Based Elements (12):

  additionalPayment (defined in Swap complexType), additionalPayment (in capFloor), exchangedCurrency1, exchangedCurrency2, otherPartyPayment, payment (defined in TradeAlterationPayment.model group), | payment (defined in TradeChangeContent complexType), payment (in bulletPayment), payment (in novation), payment (in termDeposit), premium (in capFloor), premium (in swaption)

Known Usage Locations

- As direct type of elements (12):

  additionalPayment (defined in Swap complexType), additionalPayment (in capFloor), exchangedCurrency1, exchangedCurrency2, otherPartyPayment, payment (defined in TradeAlterationPayment.model group), | payment (defined in TradeChangeContent complexType), payment (in bulletPayment), payment (in novation), payment (in termDeposit), premium (in capFloor), premium (in swaption)

Annotation
A type for defining payments
Type Definition Detail

Type Derivation Tree PaymentBase (extension) Payment

XML Source (w/o annotations (8); see within schema source)

<xsd:complexType name="Payment"> <xsd:complexContent> <xsd:extension base="PaymentBase"> <xsd:sequence> <xsd:group ref="PayerReceiver.model"/> <xsd:element name="paymentAmount" type="NonNegativeMoney"/> <xsd:element minOccurs="0" name="paymentDate" type="AdjustableOrAdjustedDate"/> <xsd:element minOccurs="0" name="paymentType" type="PaymentType"/> <xsd:element minOccurs="0" name="settlementInformation" type="SettlementInformation"/> <xsd:element minOccurs="0" name="discountFactor" type="xsd:decimal"/> <xsd:element minOccurs="0" name="presentValueAmount" type="Money"/> </xsd:sequence> <xsd:attribute ecore:reference="PricingStructure" name="href" type="xsd:IDREF"/> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/2)
href

  Type: | xsd:IDREF, predefined
  Use: | optional

  Can be used to reference the yield curve used to estimate the discount factor
  XML Source (w/o annotations (1); see within schema source)

  <xsd:attribute ecore:reference="PricingStructure" name="href" type="xsd:IDREF"/>

Content Element Detail (all declarations; defined within this component only; 6/10)
discountFactor

  Type: | xsd:decimal, predefined, simple content

  The value representing the discount factor used to calculate the present value of the cash flow.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="discountFactor" type="xsd:decimal"/>

paymentAmount

  Type: | NonNegativeMoney, complex content

  The currency amount of the payment.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="paymentAmount" type="NonNegativeMoney"/>

paymentDate

  Type: | AdjustableOrAdjustedDate, complex content

  The payment date. This date is subject to adjustment in accordance with any applicable business day convention.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="paymentDate" type="AdjustableOrAdjustedDate"/>

paymentType

  Type: | PaymentType, simple content

  A classification of the type of fee or additional payment, e.g. brokerage, upfront fee etc. FpML does not define domain values for this element.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="paymentType" type="PaymentType"/>

presentValueAmount

  Type: | Money, complex content

  The amount representing the present value of the forecast payment.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="presentValueAmount" type="Money"/>

settlementInformation

  Type: | SettlementInformation, complex content

  The information required to settle a currency payment that results from a trade.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="settlementInformation" type="SettlementInformation"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.